/*
 * Copyright (c) 2012-2017 Andes Technology Corporation
 * All rights reserved.
 *
 */

#include "platform.h"

extern void reset_vector(void);
extern void uart_init(unsigned int);

/* This must be a leaf function, no child function */
void __platform_init (void)__attribute__((no_prologue));
void __platform_init(void)
{
	/* Do your platform low-level initial */
}

void reset_handler(void)
{
	extern int main(void);

	/*
	 * Do your system reset handling here
	 */
	/* Reset the CPU reset vector for this program. */
	AE250_SMU->RESET_VECTOR = (unsigned int)(long)reset_vector;

	/* Enable PLIC features */
	if (__nds__csrr(NDS_MMISC_CTL) & (1 << 1)) {
		/* External PLIC interrupt is vectored */
		__nds__plic_set_feature(NDS_PLIC_FEATURE_PREEMPT | NDS_PLIC_FEATURE_VECTORED);
	} else {
		/* External PLIC interrupt is NOT vectored */
		__nds__plic_set_feature(NDS_PLIC_FEATURE_PREEMPT);
	}

	/* Do your system reset handling here */
	clear_csr(NDS_MIE, MIP_MEIP);
	clear_csr(NDS_MIE, MIP_MTIP);

	/* Initial UART port */
	uart_init(38400);

	/* Entry function */
	main();
}

